UntrustedSSLSocketFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.security.UntrustedSSLSocketFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.security
Class UntrustedSSLSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.hyperic.util.security.UntrustedSSLSocketFactory

    public class UntrustedSSLSocketFactory

extends javax.net.ssl.SSLSocketFactory

Constructor Summary
`UntrustedSSLSocketFactory()`

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i)`
`java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i, java.net.InetAddress inaddr1, int j)`
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String s, int i, boolean flag)`
`java.net.Socket` | `createSocket(java.lang.String s, int i)`
`java.net.Socket` | `createSocket(java.lang.String s, int i, java.net.InetAddress inaddr, int j)`
`static javax.net.SocketFactory` | `getDefault()`
`java.lang.String[]` | `getDefaultCipherSuites()`
`java.lang.String[]` | `getSupportedCipherSuites()`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UntrustedSSLSocketFactory

    public UntrustedSSLSocketFactory()

Method Detail

### getDefault

    public static javax.net.SocketFactory getDefault()

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String s,
                                        int i,
                                        boolean flag)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.ssl.SSLSocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                        int i,
                                        java.net.InetAddress inaddr1,
                                        int j)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                        int i)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String s,
                                        int i,
                                        java.net.InetAddress inaddr,
                                        int j)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String s,
                                        int i)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.